[alpine-aports] [PATCH 4/6] testing/py-boto: new aport

Valery Kartel
Details
Message ID
<1457963850-18967-1-git-send-email-valery.kartel@gmail.com>
Sender timestamp
1457963850
DKIM signature
missing
Download raw message
Patch: +49 -0
Python interface to Amazon Web Services
https://github.com/boto/boto
---
 testing/py-boto/APKBUILD | 49 ++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)
 create mode 100644 testing/py-boto/APKBUILD

diff --git a/testing/py-boto/APKBUILD b/testing/py-boto/APKBUILD
new file mode 100644
index 0000000..d658435
--- /dev/null
+++ b/testing/py-boto/APKBUILD
@@ -0,0 +1,49 @@
+# Maintainer: Valery Kartel <valery.kartel@gmail.com>
+# Contributor: Valery Kartel <valery.kartel@gmail.com>
+pkgname=py-boto
+_pkgname=boto
+pkgver=2.39.0
+pkgrel=0
+pkgdesc="Python interface to Amazon Web Services"
+url="https://github.com/boto/boto"
+arch="noarch"
+license="custom"
+depends="python py-requests py-rsa py-simplejson py-paramiko py-yaml"
+depends_dev=
+makedepends="python-dev py-setuptools"
+install=
+subpackages="$pkgname-doc $pkgname-tools"
+source="$_pkgname-$pkgver.tar.gz::https://github.com/boto/$_pkgname/archive/$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+	install -D -m0644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+tools() {
+	pkgdesc="Command line tools to deal with Amazon Web Services"
+	depends="$pkgname"
+	mkdir -p "$subpkgdir"/usr
+	mv "$pkgdir"/usr/bin "$subpkgdir"/usr
+}
+
+md5sums="0ffc0c59b2b468bab9491881194db4df  boto-2.39.0.tar.gz"
+sha256sums="bfde8bb2fc0222168c3397a22941dd4ae1f69e52db51085b308c912464df9b59  boto-2.39.0.tar.gz"
+sha512sums="323d2366f45978c218a295bf08e46e26024a2a1b0ab193a43f90a9a50d2f87f61aebaddfc5ea9c4d84feec6eb9ade1fcb369135e435358ce40e26e5c15fbeb3b  boto-2.39.0.tar.gz"
-- 
2.7.2



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---